Api referenceRoutesClients

Run client action

Invokes one advertised action on an existing client through the generic public execution route. Agents must choose the action id and arguments from the generated live API or projections for that same client.

POST
/clients/{id}:run

Invokes one advertised action on an existing client through the generic public execution route. Agents must choose the action id and arguments from the generated live API or projections for that same client.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/clients/{id}:run" \  -H "Content-Type: application/json" \  -d '{    "action": "string"  }'
{  "action": "string",  "status": "string",  "message": "string",  "data": {}}
{  "code": "string",  "message": "string"}
{  "code": "string",  "message": "string"}
{  "code": "string",  "message": "string"}